pub trait AsMilliwatts {
    fn as_milliwatts(&self) -> u32;
}

pub fn brightness_for_mw(total_mw : u32, target : u8, max_power: u32) -> u8 {
    let target32 = target as u32;
    let requested_mw = (total_mw * target32) / 256;
    if requested_mw > max_power {
        return ((target32 * max_power) / requested_mw).try_into().unwrap();
    }
    return target;
}
